import User from '../models/User.js';

const userService = {
  async createUser(userData) {
    try {
      const user = new User(userData);
      await user.save();
      return user;
    } catch (err) {
      throw err;
    }
  },

  async findUserById(userId) {
    try {
      const user = await User.findById(userId);
      return user;
    } catch (err) {
      throw err;
    }
  },

  async findUserByEmail(email) {
    try {
      const user = await User.findOne({ email });
      return user;
    } catch (err) {
      throw err;
    }
  },

  async existsByEmail(email) {
    try {
      const user = await User.exists({ email });
      return user !== null;
    } catch (err) {
      throw err;
    }
  }
};

export default userService;